#include <bits/stdc++.h>
using namespace std;
int main()
{
    long long i, a1, a2;
    char c1, c2;
    cin >> c1 >> c2;
    cin >> a1 >> a2;
    if(a1 - a2 == 1)
    {
        for(i = 0; i < a1 + a2; i++)
        {
            if(i % 2 == 0) cout << c1;
            else cout << c2;
        }
    }
    else if(a2 - a1 == 1 || a1 == a2)
    {
        for(i = 0; i < a1 + a2; i++)
        {
                if(i % 2 == 0) cout << c2;
                else cout << c1;
        }
    }
    else cout << "nemoguce";
    return 0;
}